All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Metadata |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.metadata.remote
Interface SoftwareComponent

All Superinterfaces:
  CMetadata, MdObjectBase, MdObjectBaseUtil, MdObjectBaseXML, PrimaryType, java.rmi.Remote, Root

All Known Subinterfaces:
  ConfiguredComponent, DeployedComponent, LogicalServer, ServerComponent, ServerContext, ServiceComponent

    public interface SoftwareComponent

extends PrimaryType

Used to define an application hierarchy. The application hierarchy contains information sepcific to the application including configuration properties. An application would use the SoftwareComponent that represents the application as a starting place to navigate through the hierarchy that is made of Trees and Groups and their members.

Attributes of SoftwareComponent are:

- `SoftwareVersion`
- `Major`
- `Minor`
- `Vendor`
- `SpecVersion`
- `SpecVendor`
- `VendorIdentifier`
- `ClassIdentifier`
- `ProductName`
- `Platform`
- `ProductIdentifier`
- `ConfigureVersion`

Associations of SoftwareComponent are:

- `CustomizedProperties`
- `CustomizedTransformations`
- `CustomizedTypes`
- `DependentComponents`
- `EditedProperties`
- `EditedTypes`
- `ImplementedObjects`
- `SoftwareGroups`
- `SoftwareTrees`
- `ValidatedProperties`
- `ValidatedTypes`
- `DependsOnComponents`
- `DeployedComponents`
- `PropertyGroups`

## Usage

To create an instance of this SoftwareComponent, use the `factory` create methods.
Example: create a SoftwareComponent with name "SoftwareComponent_Object", in repository "AAAAAAAA".

     // create a store to contain your objects for this change. If you do not have an existing object
     // or store to use.  You may obtain the store from another object by using Object.getObjectStore().
     MdFactory factory; //where "factory" is a valid MdFactory instance
     MdObjectStore objectStore = factory.createObjectStore();
     SoftwareComponent myObject = (SoftwareComponent) factory.createComplexMetadataObject(objectStore, "SoftwareComponent_Object", MetadataObjects.SOFTWARECOMPONENT, "AAAAAAAA");
     myObject.updateMetadataAll();  // Write object to server
     objectStore.dispose();  // dispose of the object store if it is no longer needed

## Behavior

- Attributes and associations for this object can be retrieved by using the methods in `MdOMIUtil`.
- When changes are made to the object, either by setting an attribute or adding objects to a particular association, they can be persisted to the metadata server with the `updateMetadataAll` method.
- If an object needs to be deleted, the `delete` method can be used. This will flag the object as being deleted on the client, and will require an update call to persist the change to the server.

## Dependencies

This class depends on objects being contained in an MdObjectStore. Object stores should be disposed of when they are no longer needed as this will help clean up memory. Disposing an object store will dispose of all objects contained within that store.

Since:
  9.0

Field Summary
`static java.lang.String` | `ASSOCIATION_CUSTOMIZEDPROPERTIES_NAME` Constant used for the name of the CustomizedProperties association.
`static java.lang.String` | `ASSOCIATION_CUSTOMIZEDTRANSFORMATIONS_NAME` Constant used for the name of the CustomizedTransformations association.
`static java.lang.String` | `ASSOCIATION_CUSTOMIZEDTYPES_NAME` Constant used for the name of the CustomizedTypes association.
`static java.lang.String` | `ASSOCIATION_DEPENDENTCOMPONENTS_NAME` Constant used for the name of the DependentComponents association.
`static java.lang.String` | `ASSOCIATION_DEPENDSONCOMPONENTS_NAME` Constant used for the name of the DependsOnComponents association.
`static java.lang.String` | `ASSOCIATION_DEPLOYEDCOMPONENTS_NAME` Constant used for the name of the DeployedComponents association.
`static java.lang.String` | `ASSOCIATION_EDITEDPROPERTIES_NAME` Constant used for the name of the EditedProperties association.
`static java.lang.String` | `ASSOCIATION_EDITEDTYPES_NAME` Constant used for the name of the EditedTypes association.
`static java.lang.String` | `ASSOCIATION_IMPLEMENTEDOBJECTS_NAME` Constant used for the name of the ImplementedObjects association.
`static java.lang.String` | `ASSOCIATION_PROPERTYGROUPS_NAME` Constant used for the name of the PropertyGroups association.
`static java.lang.String` | `ASSOCIATION_SOFTWAREGROUPS_NAME` Constant used for the name of the SoftwareGroups association.
`static java.lang.String` | `ASSOCIATION_SOFTWARETREES_NAME` Constant used for the name of the SoftwareTrees association.
`static java.lang.String` | `ASSOCIATION_VALIDATEDPROPERTIES_NAME` Constant used for the name of the ValidatedProperties association.
`static java.lang.String` | `ASSOCIATION_VALIDATEDTYPES_NAME` Constant used for the name of the ValidatedTypes association.
`static java.lang.String` | `ATTRIBUTE_CLASSIDENTIFIER_NAME` Constant used for the name of the ClassIdentifier attribute.
`static java.lang.String` | `ATTRIBUTE_CONFIGUREVERSION_NAME` Constant used for the name of the ConfigureVersion attribute.
`static java.lang.String` | `ATTRIBUTE_MAJOR_NAME` Constant used for the name of the Major attribute.
`static java.lang.String` | `ATTRIBUTE_MINOR_NAME` Constant used for the name of the Minor attribute.
`static java.lang.String` | `ATTRIBUTE_PLATFORM_NAME` Constant used for the name of the Platform attribute.
`static java.lang.String` | `ATTRIBUTE_PRODUCTIDENTIFIER_NAME` Constant used for the name of the ProductIdentifier attribute.
`static java.lang.String` | `ATTRIBUTE_PRODUCTNAME_NAME` Constant used for the name of the ProductName attribute.
`static java.lang.String` | `ATTRIBUTE_SOFTWAREVERSION_NAME` Constant used for the name of the SoftwareVersion attribute.
`static java.lang.String` | `ATTRIBUTE_SPECVENDOR_NAME` Constant used for the name of the SpecVendor attribute.
`static java.lang.String` | `ATTRIBUTE_SPECVERSION_NAME` Constant used for the name of the SpecVersion attribute.
`static java.lang.String` | `ATTRIBUTE_VENDOR_NAME` Constant used for the name of the Vendor attribute.
`static java.lang.String` | `ATTRIBUTE_VENDORIDENTIFIER_NAME` Constant used for the name of the VendorIdentifier attribute.

Fields inherited from interface com.sas.metadata.remote.PrimaryType
`ASSOCIATION_FAVORITESCONTAINERS_NAME, ATTRIBUTE_ISHIDDEN_NAME, ATTRIBUTE_PUBLICTYPE_NAME`

Fields inherited from interface com.sas.metadata.remote.Root
`ASSOCIATION_ACCESSCONTROLS_NAME, ASSOCIATION_CHANGES_NAME, ASSOCIATION_CUSTOMASSOCIATIONS_NAME, ASSOCIATION_DOCUMENTS_NAME, ASSOCIATION_EXTENSIONS_NAME, ASSOCIATION_EXTERNALIDENTITIES_NAME, ASSOCIATION_GROUPS_NAME, ASSOCIATION_IMPLEMENTORS_NAME, ASSOCIATION_KEYWORDS_NAME, ASSOCIATION_LOCALIZEDATTRIBUTES_NAME, ASSOCIATION_NOTES_NAME, ASSOCIATION_PRIMARYPROPERTYGROUP_NAME, ASSOCIATION_PROMPTS_NAME, ASSOCIATION_PROPERTIES_NAME, ASSOCIATION_PROPERTYSETS_NAME, ASSOCIATION_REFERENCEDOBJECTS_NAME, ASSOCIATION_RESPONSIBLEPARTIES_NAME, ASSOCIATION_SOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECSOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECTARGETTRANSFORMATIONS_NAME, ASSOCIATION_TARGETTRANSFORMATIONS_NAME, ASSOCIATION_TIMESTAMPS_NAME, ASSOCIATION_TREES_NAME, ASSOCIATION_TSOBJECTNAMESPACE_NAME, ASSOCIATION_USEDBYPROTOTYPES_NAME, ASSOCIATION_USINGPROTOTYPE_NAME, ASSOCIATION_VARIABLES_NAME, ATTRIBUTE_CHANGESTATE_NAME, ATTRIBUTE_LOCKEDBY_NAME, ATTRIBUTE_USAGEVERSION_NAME`

Fields inherited from interface com.sas.metadata.remote.MdObjectBase
`ATTRIBUTE_DESC_NAME, ATTRIBUTE_ID_NAME, ATTRIBUTE_METADATACREATED_NAME, ATTRIBUTE_METADATAUPDATED_NAME, ATTRIBUTE_NAME_NAME`

Method Summary
`java.lang.String` | `getClassIdentifier()` Gets the `String` value of `ClassIdentifier`
`int` | `getClassIdentifierMaxLength()` Gets the maximum length of `ClassIdentifier`
`int` | `getClassIdentifierState()` Gets the Metadata State of `ClassIdentifier`
`java.lang.String` | `getConfigureVersion()` Gets the `String` value of `ConfigureVersion`
`int` | `getConfigureVersionMaxLength()` Gets the maximum length of `ConfigureVersion`
`int` | `getConfigureVersionState()` Gets the Metadata State of `ConfigureVersion`
`AssociationList` | `getCustomizedProperties()` Gets the AssociationList of `CustomizedProperties`
`AssociationList` | `getCustomizedProperties(boolean fGoToServer)` Gets the Associationlist of `CustomizedProperties`
`AssociationList` | `getCustomizedTransformations()` Gets the AssociationList of `CustomizedTransformations`
`AssociationList` | `getCustomizedTransformations(boolean fGoToServer)` Gets the Associationlist of `CustomizedTransformations`
`AssociationList` | `getCustomizedTypes()` Gets the AssociationList of `CustomizedTypes`
`AssociationList` | `getCustomizedTypes(boolean fGoToServer)` Gets the Associationlist of `CustomizedTypes`
`AssociationList` | `getDependentComponents()` Gets the AssociationList of `DependentComponents`
`AssociationList` | `getDependentComponents(boolean fGoToServer)` Gets the Associationlist of `DependentComponents`
`AssociationList` | `getDependsOnComponents()` Gets the Association list of `DependsOnComponents`
`AssociationList` | `getDependsOnComponents(boolean fGoToServer)` Gets the Associationlist of `DependsOnComponents`
`AssociationList` | `getDeployedComponents()` Gets the Association list of `DeployedComponents`
`AssociationList` | `getDeployedComponents(boolean fGoToServer)` Gets the Associationlist of `DeployedComponents`
`AssociationList` | `getEditedProperties()` Gets the AssociationList of `EditedProperties`
`AssociationList` | `getEditedProperties(boolean fGoToServer)` Gets the Associationlist of `EditedProperties`
`AssociationList` | `getEditedTypes()` Gets the AssociationList of `EditedTypes`
`AssociationList` | `getEditedTypes(boolean fGoToServer)` Gets the Associationlist of `EditedTypes`
`AssociationList` | `getImplementedObjects()` Gets the AssociationList of `ImplementedObjects`
`AssociationList` | `getImplementedObjects(boolean fGoToServer)` Gets the Associationlist of `ImplementedObjects`
`int` | `getMajor()` Gets the `int` value of `Major`
`int` | `getMajorState()` Gets the Metadata State of `Major`
`int` | `getMinor()` Gets the `int` value of `Minor`
`int` | `getMinorState()` Gets the Metadata State of `Minor`
`java.lang.String` | `getPlatform()` Gets the `String` value of `Platform`
`int` | `getPlatformMaxLength()` Gets the maximum length of `Platform`
`int` | `getPlatformState()` Gets the Metadata State of `Platform`
`java.lang.String` | `getProductIdentifier()` Gets the `String` value of `ProductIdentifier`
`int` | `getProductIdentifierMaxLength()` Gets the maximum length of `ProductIdentifier`
`int` | `getProductIdentifierState()` Gets the Metadata State of `ProductIdentifier`
`java.lang.String` | `getProductName()` Gets the `String` value of `ProductName`
`int` | `getProductNameMaxLength()` Gets the maximum length of `ProductName`
`int` | `getProductNameState()` Gets the Metadata State of `ProductName`
`AssociationList` | `getPropertyGroups()` Gets the Association list of `PropertyGroups`
`AssociationList` | `getPropertyGroups(boolean fGoToServer)` Gets the Associationlist of `PropertyGroups`
`AssociationList` | `getSoftwareGroups()` Gets the AssociationList of `SoftwareGroups`
`AssociationList` | `getSoftwareGroups(boolean fGoToServer)` Gets the Associationlist of `SoftwareGroups`
`AssociationList` | `getSoftwareTrees()` Gets the AssociationList of `SoftwareTrees`
`AssociationList` | `getSoftwareTrees(boolean fGoToServer)` Gets the Associationlist of `SoftwareTrees`
`java.lang.String` | `getSoftwareVersion()` Gets the `String` value of `SoftwareVersion`
`int` | `getSoftwareVersionMaxLength()` Gets the maximum length of `SoftwareVersion`
`int` | `getSoftwareVersionState()` Gets the Metadata State of `SoftwareVersion`
`java.lang.String` | `getSpecVendor()` Gets the `String` value of `SpecVendor`
`int` | `getSpecVendorMaxLength()` Gets the maximum length of `SpecVendor`
`int` | `getSpecVendorState()` Gets the Metadata State of `SpecVendor`
`java.lang.String` | `getSpecVersion()` Gets the `String` value of `SpecVersion`
`int` | `getSpecVersionMaxLength()` Gets the maximum length of `SpecVersion`
`int` | `getSpecVersionState()` Gets the Metadata State of `SpecVersion`
`AssociationList` | `getValidatedProperties()` Gets the AssociationList of `ValidatedProperties`
`AssociationList` | `getValidatedProperties(boolean fGoToServer)` Gets the Associationlist of `ValidatedProperties`
`AssociationList` | `getValidatedTypes()` Gets the AssociationList of `ValidatedTypes`
`AssociationList` | `getValidatedTypes(boolean fGoToServer)` Gets the Associationlist of `ValidatedTypes`
`java.lang.String` | `getVendor()` Gets the `String` value of `Vendor`
`java.lang.String` | `getVendorIdentifier()` Gets the `String` value of `VendorIdentifier`
`int` | `getVendorIdentifierMaxLength()` Gets the maximum length of `VendorIdentifier`
`int` | `getVendorIdentifierState()` Gets the Metadata State of `VendorIdentifier`
`int` | `getVendorMaxLength()` Gets the maximum length of `Vendor`
`int` | `getVendorState()` Gets the Metadata State of `Vendor`
`void` | `initializePredObjects()` (S) Adds the Associated objects to the predObjects which are: `CustomizedProperties` `CustomizedTransformations` `CustomizedTypes` `DependentComponents` `EditedProperties` `EditedTypes` `ImplementedObjects` `SoftwareGroups` `SoftwareTrees` `ValidatedProperties` `ValidatedTypes`
`void` | `initializeRequiredObjects()` (S) This initializes the Required Objects(Roles) which are:
`void` | `setClassIdentifier(java.lang.String inClassIdentifier)` Sets the `ClassIdentifier` value and sets the state to MetadataState.LOCAL.
`void` | `setClassIdentifier(java.lang.String inClassIdentifier, int state)` Sets the `ClassIdentifier` Metadata State.
`void` | `setClassIdentifierState(int state)` Sets the Metadata State of `ClassIdentifier`.
`void` | `setConfigureVersion(java.lang.String inConfigureVersion)` Sets the `ConfigureVersion` value and sets the state to MetadataState.LOCAL.
`void` | `setConfigureVersion(java.lang.String inConfigureVersion, int state)` Sets the `ConfigureVersion` Metadata State.
`void` | `setConfigureVersionState(int state)` Sets the Metadata State of `ConfigureVersion`.
`void` | `setCustomizedProperties(AssociationList list)` Sets the `CustomizedProperties` list to be `list`.
`void` | `setCustomizedProperties(AssociationList inObjects, int state)` Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList
`void` | `setCustomizedTransformations(AssociationList list)` Sets the `CustomizedTransformations` list to be `list`.
`void` | `setCustomizedTransformations(AssociationList inObjects, int state)` Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList
`void` | `setCustomizedTypes(AssociationList list)` Sets the `CustomizedTypes` list to be `list`.
`void` | `setCustomizedTypes(AssociationList inObjects, int state)` Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList
`void` | `setDependentComponents(AssociationList list)` Sets the `DependentComponents` list to be `list`.
`void` | `setDependentComponents(AssociationList inObjects, int state)` Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList
`void` | `setDependsOnComponents(AssociationList list)` Sets the `DependsOnComponents` list to be `list`.
`void` | `setDependsOnComponents(AssociationList inObjects, int state)` Sets the entire DependsOnComponents list to match the passed in AssociationList, sets the state of the DependsOnComponents
`void` | `setDeployedComponents(AssociationList list)` Sets the `DeployedComponents` list to be `list`.
`void` | `setDeployedComponents(AssociationList inObjects, int state)` Sets the entire DeployedComponents list to match the passed in AssociationList, sets the state of the DeployedComponents
`void` | `setEditedProperties(AssociationList list)` Sets the `EditedProperties` list to be `list`.
`void` | `setEditedProperties(AssociationList inObjects, int state)` Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList
`void` | `setEditedTypes(AssociationList list)` Sets the `EditedTypes` list to be `list`.
`void` | `setEditedTypes(AssociationList inObjects, int state)` Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList
`void` | `setImplementedObjects(AssociationList list)` Sets the `ImplementedObjects` list to be `list`.
`void` | `setImplementedObjects(AssociationList inObjects, int state)` Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList
`void` | `setMajor(int inMajor)` Sets the `Major` value and sets the state to MetadataState.LOCAL.
`void` | `setMajor(int inMajor, int state)` Sets the `Major` Metadata State.
`void` | `setMajor(java.lang.String inMajor)` Sets the `Major` value and sets the state to MetadataState.LOCAL.
`void` | `setMajor(java.lang.String inMajor, int state)` Sets the `Major` value and Metadata State.
`void` | `setMajorState(int state)` Sets the Metadata State of `Major`.
`void` | `setMinor(int inMinor)` Sets the `Minor` value and sets the state to MetadataState.LOCAL.
`void` | `setMinor(int inMinor, int state)` Sets the `Minor` Metadata State.
`void` | `setMinor(java.lang.String inMinor)` Sets the `Minor` value and sets the state to MetadataState.LOCAL.
`void` | `setMinor(java.lang.String inMinor, int state)` Sets the `Minor` value and Metadata State.
`void` | `setMinorState(int state)` Sets the Metadata State of `Minor`.
`void` | `setPlatform(java.lang.String inPlatform)` Sets the `Platform` value and sets the state to MetadataState.LOCAL.
`void` | `setPlatform(java.lang.String inPlatform, int state)` Sets the `Platform` Metadata State.
`void` | `setPlatformState(int state)` Sets the Metadata State of `Platform`.
`void` | `setProductIdentifier(java.lang.String inProductIdentifier)` Sets the `ProductIdentifier` value and sets the state to MetadataState.LOCAL.
`void` | `setProductIdentifier(java.lang.String inProductIdentifier, int state)` Sets the `ProductIdentifier` Metadata State.
`void` | `setProductIdentifierState(int state)` Sets the Metadata State of `ProductIdentifier`.
`void` | `setProductName(java.lang.String inProductName)` Sets the `ProductName` value and sets the state to MetadataState.LOCAL.
`void` | `setProductName(java.lang.String inProductName, int state)` Sets the `ProductName` Metadata State.
`void` | `setProductNameState(int state)` Sets the Metadata State of `ProductName`.
`void` | `setPropertyGroups(AssociationList list)` Sets the `PropertyGroups` list to be `list`.
`void` | `setPropertyGroups(AssociationList inObjects, int state)` Sets the entire PropertyGroups list to match the passed in AssociationList, sets the state of the PropertyGroups
`void` | `setSoftwareGroups(AssociationList list)` Sets the `SoftwareGroups` list to be `list`.
`void` | `setSoftwareGroups(AssociationList inObjects, int state)` Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList
`void` | `setSoftwareTrees(AssociationList list)` Sets the `SoftwareTrees` list to be `list`.
`void` | `setSoftwareTrees(AssociationList inObjects, int state)` Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList
`void` | `setSoftwareVersion(java.lang.String inSoftwareVersion)` Sets the `SoftwareVersion` value and sets the state to MetadataState.LOCAL.
`void` | `setSoftwareVersion(java.lang.String inSoftwareVersion, int state)` Sets the `SoftwareVersion` Metadata State.
`void` | `setSoftwareVersionState(int state)` Sets the Metadata State of `SoftwareVersion`.
`void` | `setSpecVendor(java.lang.String inSpecVendor)` Sets the `SpecVendor` value and sets the state to MetadataState.LOCAL.
`void` | `setSpecVendor(java.lang.String inSpecVendor, int state)` Sets the `SpecVendor` Metadata State.
`void` | `setSpecVendorState(int state)` Sets the Metadata State of `SpecVendor`.
`void` | `setSpecVersion(java.lang.String inSpecVersion)` Sets the `SpecVersion` value and sets the state to MetadataState.LOCAL.
`void` | `setSpecVersion(java.lang.String inSpecVersion, int state)` Sets the `SpecVersion` Metadata State.
`void` | `setSpecVersionState(int state)` Sets the Metadata State of `SpecVersion`.
`void` | `setValidatedProperties(AssociationList list)` Sets the `ValidatedProperties` list to be `list`.
`void` | `setValidatedProperties(AssociationList inObjects, int state)` Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList
`void` | `setValidatedTypes(AssociationList list)` Sets the `ValidatedTypes` list to be `list`.
`void` | `setValidatedTypes(AssociationList inObjects, int state)` Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList
`void` | `setVendor(java.lang.String inVendor)` Sets the `Vendor` value and sets the state to MetadataState.LOCAL.
`void` | `setVendor(java.lang.String inVendor, int state)` Sets the `Vendor` Metadata State.
`void` | `setVendorIdentifier(java.lang.String inVendorIdentifier)` Sets the `VendorIdentifier` value and sets the state to MetadataState.LOCAL.
`void` | `setVendorIdentifier(java.lang.String inVendorIdentifier, int state)` Sets the `VendorIdentifier` Metadata State.
`void` | `setVendorIdentifierState(int state)` Sets the Metadata State of `VendorIdentifier`.
`void` | `setVendorState(int state)` Sets the Metadata State of `Vendor`.

Methods inherited from interface com.sas.metadata.remote.PrimaryType
`getFavoritesContainers, getFavoritesContainers, getIsHidden, getIsHiddenState, getPublicType, getPublicTypeMaxLength, getPublicTypeState, setFavoritesContainers, setFavoritesContainers, setIsHidden, setIsHidden, setIsHidden, setIsHidden, setIsHiddenState, setPublicType, setPublicType, setPublicTypeState`

Methods inherited from interface com.sas.metadata.remote.Root
`getAccessControls, getAccessControls, getChanges, getChanges, getChangeState, getChangeStateMaxLength, getChangeStateState, getCustomAssociations, getCustomAssociations, getDocuments, getDocuments, getExtensions, getExtensions, getExternalIdentities, getExternalIdentities, getGroups, getGroups, getImplementors, getImplementors, getKeywords, getKeywords, getLocalizedAttributes, getLocalizedAttributes, getLockedBy, getLockedByMaxLength, getLockedByState, getNotes, getNotes, getPrimaryPropertyGroup, getPrimaryPropertyGroups, getPrimaryPropertyGroups, getPrompts, getPrompts, getProperties, getProperties, getPropertySets, getPropertySets, getReferencedObjects, getReferencedObjects, getResponsibleParties, getResponsibleParties, getSourceTransformations, getSourceTransformations, getSpecSourceTransformations, getSpecSourceTransformations, getSpecTargetTransformations, getSpecTargetTransformations, getTargetTransformations, getTargetTransformations, getTimestamps, getTimestamps, getTrees, getTrees, getTSObjectNamespace, getTSObjectNamespaces, getTSObjectNamespaces, getUsageVersion, getUsageVersionState, getUsedByPrototypes, getUsedByPrototypes, getUsingPrototype, getUsingPrototypes, getUsingPrototypes, getVariables, getVariables, setAccessControls, setAccessControls, setChanges, setChanges, setChangeState, setChangeState, setChangeStateState, setCustomAssociations, setCustomAssociations, setDocuments, setDocuments, setExtensions, setExtensions, setExternalIdentities, setExternalIdentities, setGroups, setGroups, setImplementors, setImplementors, setKeywords, setKeywords, setLocalizedAttributes, setLocalizedAttributes, setLockedBy, setLockedBy, setLockedByState, setNotes, setNotes, setPrimaryPropertyGroup, setPrimaryPropertyGroups, setPrimaryPropertyGroups, setPrompts, setPrompts, setProperties, setProperties, setPropertySets, setPropertySets, setReferencedObjects, setReferencedObjects, setResponsibleParties, setResponsibleParties, setSourceTransformations, setSourceTransformations, setSpecSourceTransformations, setSpecSourceTransformations, setSpecTargetTransformations, setSpecTargetTransformations, setTargetTransformations, setTargetTransformations, setTimestamps, setTimestamps, setTrees, setTrees, setTSObjectNamespace, setTSObjectNamespaces, setTSObjectNamespaces, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersionState, setUsedByPrototypes, setUsedByPrototypes, setUsingPrototype, setUsingPrototypes, setUsingPrototypes, setVariables, setVariables`

Methods inherited from interface com.sas.metadata.remote.MdObjectBaseXML
`closeUpdateMetadataXML, createEmptyXML, createObjectRefreshXML, createObjectXML, createObjectXML, createUpdateAssociationXML, createUpdateAssociationXML, createUpdateSimpleXML, doCreateUpdateXML, getUpdateSimpleSubstring, updateMetadataAll`

Methods inherited from interface com.sas.metadata.remote.MdObjectBaseUtil
`addMdObjectListener, delete, dispose, fireMdObjectModified, getAssociatedObjects, getAssociatedObjects, getAssociatedObjects, getAssociationNames, getAssocs, getAssocsWA, getAttributeNames, getAttrs, getAttrsStates, getChangeManagementState, getChgMgtExternalIdentityImportType, getClientSideOnlyObject, getMdObjectAssociation, getPopulatedAssocs, getUpdatedAttrs, getViewList, isCheckedOut, isLocked, objectModified, removeMdObjectListener, setAttrs, setChangeManagementTargetRepository, setChgMgtExternalIdentityImportType, setClientSideOnlyObject, setMdObjectAssociation, touch, updateAssnsIds`

Methods inherited from interface com.sas.metadata.remote.MdObjectBase
`addElementToChangeList, clearChangeList, getChangeList, getCMetadataType, getDesc, getDescMaxLength, getDescState, getFQID, getId, getIdState, getMetadataCreated, getMetadataCreatedState, getMetadataUpdated, getMetadataUpdatedState, getName, getNameMaxLength, getNameState, getObjectStore, getPredAssociations, getRepositoryID, getRequiredAssociations, getState, isAssociationRequired, isNewObject, isPredAssociation, removeElementFromChangeList, resetObject, resetState, resetStates, setCMetadataType, setDesc, setDesc, setDescState, setFQID, setFQID, setId, setId, setIdState, setMetadataCreated, setMetadataCreated, setMetadataCreatedState, setMetadataUpdated, setMetadataUpdated, setMetadataUpdatedState, setName, setName, setNameState, setObjectStore, setState`

Field Detail

### ATTRIBUTE_SOFTWAREVERSION_NAME

    static final java.lang.String ATTRIBUTE_SOFTWAREVERSION_NAME

  Constant used for the name of the SoftwareVersion attribute.

  SoftwareVersion: This is a string that represents the version of the software that is running.

  See Also:
    Constant Field Values

### ATTRIBUTE_MAJOR_NAME

    static final java.lang.String ATTRIBUTE_MAJOR_NAME

  Constant used for the name of the Major attribute.

  Major: This is an indicator of the major release number of this component.

  See Also:
    Constant Field Values

### ATTRIBUTE_MINOR_NAME

    static final java.lang.String ATTRIBUTE_MINOR_NAME

  Constant used for the name of the Minor attribute.

  Minor: This is an indication of the minor release number of this component.

  See Also:
    Constant Field Values

### ATTRIBUTE_VENDOR_NAME

    static final java.lang.String ATTRIBUTE_VENDOR_NAME

  Constant used for the name of the Vendor attribute.

  Vendor: A string that represents the vendor of the software.

  See Also:
    Constant Field Values

### ATTRIBUTE_SPECVERSION_NAME

    static final java.lang.String ATTRIBUTE_SPECVERSION_NAME

  Constant used for the name of the SpecVersion attribute.

  SpecVersion: A string that indicates the name and the version number of the specification implemented by this component.

  See Also:
    Constant Field Values

### ATTRIBUTE_SPECVENDOR_NAME

    static final java.lang.String ATTRIBUTE_SPECVENDOR_NAME

  Constant used for the name of the SpecVendor attribute.

  SpecVendor: The name of the vendor that provided the specification.

  See Also:
    Constant Field Values

### ATTRIBUTE_VENDORIDENTIFIER_NAME

    static final java.lang.String ATTRIBUTE_VENDORIDENTIFIER_NAME

  Constant used for the name of the VendorIdentifier attribute.

  VendorIdentifier: An ID representing the vendor of the software.

  See Also:
    Constant Field Values

### ATTRIBUTE_CLASSIDENTIFIER_NAME

    static final java.lang.String ATTRIBUTE_CLASSIDENTIFIER_NAME

  Constant used for the name of the ClassIdentifier attribute.

  ClassIdentifier: The class identifier is a unique identifier for this component. If this is a Java component, it is the full name of the Java class. Here are the class identifiers for various SAS servers

  Workspace (classic SAS server): 440196d4-90f0-11d0-9f41-00a024bb830c

  StoredProcessServer (SAS/Intrnet V9): 15931e31-667f-11d5-8804-00c04f35ac8c

  Metadata server (OMS): 2887e7d7-4780-11d4-879f-00c04f38f0db (9.1.3) : 0217E202-B560-11DB-AD91-001083FF6836 (9.2)

  MDX Server (OLAP V9): f3f46472-1e31-11d5-87c2-00c04f38f9f6

  GMS (generic server): 9c186a64-83e4-11d2-b956-00c04f81993c

  MQX (message queue server): 8d9ef489-8d1e-11d2-b94f-00c04f8198c0

  Connect server: 028e4060-d545-11d5-880d-aa0004006d06

  See Also:
    Constant Field Values

### ATTRIBUTE_PRODUCTNAME_NAME

    static final java.lang.String ATTRIBUTE_PRODUCTNAME_NAME

  Constant used for the name of the ProductName attribute.

  ProductName: The product name. For example: Visio, Excel

  See Also:
    Constant Field Values

### ATTRIBUTE_PLATFORM_NAME

    static final java.lang.String ATTRIBUTE_PLATFORM_NAME

  Constant used for the name of the Platform attribute.

  Platform: This represents the platform or language of the component. Examples are: COM, Java.

  See Also:
    Constant Field Values

### ATTRIBUTE_PRODUCTIDENTIFIER_NAME

    static final java.lang.String ATTRIBUTE_PRODUCTIDENTIFIER_NAME

  Constant used for the name of the ProductIdentifier attribute.

  ProductIdentifier: The vendors unique identifier for this product. For SAS products this may be, but is not limited to, the PRODNUM.

  See Also:
    Constant Field Values

### ATTRIBUTE_CONFIGUREVERSION_NAME

    static final java.lang.String ATTRIBUTE_CONFIGUREVERSION_NAME

  Constant used for the name of the ConfigureVersion attribute.

  ConfigureVersion: This is a string that represents the version of the code in the configuration directory.

  See Also:
    Constant Field Values

### ASSOCIATION_CUSTOMIZEDPROPERTIES_NAME

    static final java.lang.String ASSOCIATION_CUSTOMIZEDPROPERTIES_NAME

  Constant used for the name of the CustomizedProperties association.

  CustomizedProperties: The properties customized by this program.

  See Also:
    Constant Field Values

### ASSOCIATION_CUSTOMIZEDTRANSFORMATIONS_NAME

    static final java.lang.String ASSOCIATION_CUSTOMIZEDTRANSFORMATIONS_NAME

  Constant used for the name of the CustomizedTransformations association.

  CustomizedTransformations: The objects that use this software component as a customizer.

  See Also:
    Constant Field Values

### ASSOCIATION_CUSTOMIZEDTYPES_NAME

    static final java.lang.String ASSOCIATION_CUSTOMIZEDTYPES_NAME

  Constant used for the name of the CustomizedTypes association.

  CustomizedTypes: The PropertyTypes customized by this program.

  See Also:
    Constant Field Values

### ASSOCIATION_DEPENDENTCOMPONENTS_NAME

    static final java.lang.String ASSOCIATION_DEPENDENTCOMPONENTS_NAME

  Constant used for the name of the DependentComponents association.

  DependentComponents: The components that are dependents of this component.

  See Also:
    Constant Field Values

### ASSOCIATION_EDITEDPROPERTIES_NAME

    static final java.lang.String ASSOCIATION_EDITEDPROPERTIES_NAME

  Constant used for the name of the EditedProperties association.

  EditedProperties: The properties that are edited using this program.

  See Also:
    Constant Field Values

### ASSOCIATION_EDITEDTYPES_NAME

    static final java.lang.String ASSOCIATION_EDITEDTYPES_NAME

  Constant used for the name of the EditedTypes association.

  EditedTypes: The PropertyType objects that can be edited by this program.

  See Also:
    Constant Field Values

### ASSOCIATION_IMPLEMENTEDOBJECTS_NAME

    static final java.lang.String ASSOCIATION_IMPLEMENTEDOBJECTS_NAME

  Constant used for the name of the ImplementedObjects association.

  ImplementedObjects: The information contained in these objects is used by this software component.

  See Also:
    Constant Field Values

### ASSOCIATION_SOFTWAREGROUPS_NAME

    static final java.lang.String ASSOCIATION_SOFTWAREGROUPS_NAME

  Constant used for the name of the SoftwareGroups association.

  SoftwareGroups: The groups associated with this SoftwareComponent.

  See Also:
    Constant Field Values

### ASSOCIATION_SOFTWARETREES_NAME

    static final java.lang.String ASSOCIATION_SOFTWARETREES_NAME

  Constant used for the name of the SoftwareTrees association.

  SoftwareTrees: The trees used by this software component.

  See Also:
    Constant Field Values

### ASSOCIATION_VALIDATEDPROPERTIES_NAME

    static final java.lang.String ASSOCIATION_VALIDATEDPROPERTIES_NAME

  Constant used for the name of the ValidatedProperties association.

  ValidatedProperties: The properties that are validated by this program.

  See Also:
    Constant Field Values

### ASSOCIATION_VALIDATEDTYPES_NAME

    static final java.lang.String ASSOCIATION_VALIDATEDTYPES_NAME

  Constant used for the name of the ValidatedTypes association.

  ValidatedTypes: The PropertyType objects that are validated by this program.

  See Also:
    Constant Field Values

### ASSOCIATION_DEPENDSONCOMPONENTS_NAME

    static final java.lang.String ASSOCIATION_DEPENDSONCOMPONENTS_NAME

  Constant used for the name of the DependsOnComponents association.

  DependsOnComponents: The components that this component depends upon.

  See Also:
    Constant Field Values

### ASSOCIATION_DEPLOYEDCOMPONENTS_NAME

    static final java.lang.String ASSOCIATION_DEPLOYEDCOMPONENTS_NAME

  Constant used for the name of the DeployedComponents association.

  DeployedComponents: *Unknown*

  See Also:
    Constant Field Values

### ASSOCIATION_PROPERTYGROUPS_NAME

    static final java.lang.String ASSOCIATION_PROPERTYGROUPS_NAME

  Constant used for the name of the PropertyGroups association.

  PropertyGroups: The property groups that can be displayed using this form.

  See Also:
    Constant Field Values

Method Detail

### initializeRequiredObjects

    void initializeRequiredObjects()
                                   throws java.rmi.RemoteException

  (S) This initializes the Required Objects(Roles) which are:

  Specified by:
    `initializeRequiredObjects` in interface `MdObjectBaseUtil`
  Specified by:
    `initializeRequiredObjects` in interface `PrimaryType`
  Specified by:
    `initializeRequiredObjects` in interface `Root`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### initializePredObjects

    void initializePredObjects()
                               throws java.rmi.RemoteException

  (S) Adds the Associated objects to the predObjects which are:
  `CustomizedProperties`
  `CustomizedTransformations`
  `CustomizedTypes`
  `DependentComponents`
  `EditedProperties`
  `EditedTypes`
  `ImplementedObjects`
  `SoftwareGroups`
  `SoftwareTrees`
  `ValidatedProperties`
  `ValidatedTypes`

  Specified by:
    `initializePredObjects` in interface `MdObjectBase`
  Specified by:
    `initializePredObjects` in interface `PrimaryType`
  Specified by:
    `initializePredObjects` in interface `Root`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getSoftwareVersion

    java.lang.String getSoftwareVersion()
                                        throws java.rmi.RemoteException

  Gets the `String` value of `SoftwareVersion`

  Returns:
    The `SoftwareVersion`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getSoftwareVersionState

    int getSoftwareVersionState()
                                throws java.rmi.RemoteException

  Gets the Metadata State of `SoftwareVersion`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getSoftwareVersionMaxLength

    int getSoftwareVersionMaxLength()
                                    throws java.rmi.RemoteException

  Gets the maximum length of `SoftwareVersion`

  Returns:
    The max size
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getMajor

    int getMajor()
                 throws java.rmi.RemoteException

  Gets the `int` value of `Major`

  Returns:
    The `Major`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getMajorState

    int getMajorState()
                      throws java.rmi.RemoteException

  Gets the Metadata State of `Major`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getMinor

    int getMinor()
                 throws java.rmi.RemoteException

  Gets the `int` value of `Minor`

  Returns:
    The `Minor`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getMinorState

    int getMinorState()
                      throws java.rmi.RemoteException

  Gets the Metadata State of `Minor`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getVendor

    java.lang.String getVendor()
                               throws java.rmi.RemoteException

  Gets the `String` value of `Vendor`

  Returns:
    The `Vendor`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getVendorState

    int getVendorState()
                       throws java.rmi.RemoteException

  Gets the Metadata State of `Vendor`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getVendorMaxLength

    int getVendorMaxLength()
                           throws java.rmi.RemoteException

  Gets the maximum length of `Vendor`

  Returns:
    The max size
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getSpecVersion

    java.lang.String getSpecVersion()
                                    throws java.rmi.RemoteException

  Gets the `String` value of `SpecVersion`

  Returns:
    The `SpecVersion`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getSpecVersionState

    int getSpecVersionState()
                            throws java.rmi.RemoteException

  Gets the Metadata State of `SpecVersion`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getSpecVersionMaxLength

    int getSpecVersionMaxLength()
                                throws java.rmi.RemoteException

  Gets the maximum length of `SpecVersion`

  Returns:
    The max size
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getSpecVendor

    java.lang.String getSpecVendor()
                                   throws java.rmi.RemoteException

  Gets the `String` value of `SpecVendor`

  Returns:
    The `SpecVendor`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getSpecVendorState

    int getSpecVendorState()
                           throws java.rmi.RemoteException

  Gets the Metadata State of `SpecVendor`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getSpecVendorMaxLength

    int getSpecVendorMaxLength()
                               throws java.rmi.RemoteException

  Gets the maximum length of `SpecVendor`

  Returns:
    The max size
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getVendorIdentifier

    java.lang.String getVendorIdentifier()
                                         throws java.rmi.RemoteException

  Gets the `String` value of `VendorIdentifier`

  Returns:
    The `VendorIdentifier`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getVendorIdentifierState

    int getVendorIdentifierState()
                                 throws java.rmi.RemoteException

  Gets the Metadata State of `VendorIdentifier`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getVendorIdentifierMaxLength

    int getVendorIdentifierMaxLength()
                                     throws java.rmi.RemoteException

  Gets the maximum length of `VendorIdentifier`

  Returns:
    The max size
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getClassIdentifier

    java.lang.String getClassIdentifier()
                                        throws java.rmi.RemoteException

  Gets the `String` value of `ClassIdentifier`

  Returns:
    The `ClassIdentifier`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getClassIdentifierState

    int getClassIdentifierState()
                                throws java.rmi.RemoteException

  Gets the Metadata State of `ClassIdentifier`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getClassIdentifierMaxLength

    int getClassIdentifierMaxLength()
                                    throws java.rmi.RemoteException

  Gets the maximum length of `ClassIdentifier`

  Returns:
    The max size
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getProductName

    java.lang.String getProductName()
                                    throws java.rmi.RemoteException

  Gets the `String` value of `ProductName`

  Returns:
    The `ProductName`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getProductNameState

    int getProductNameState()
                            throws java.rmi.RemoteException

  Gets the Metadata State of `ProductName`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getProductNameMaxLength

    int getProductNameMaxLength()
                                throws java.rmi.RemoteException

  Gets the maximum length of `ProductName`

  Returns:
    The max size
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getPlatform

    java.lang.String getPlatform()
                                 throws java.rmi.RemoteException

  Gets the `String` value of `Platform`

  Returns:
    The `Platform`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getPlatformState

    int getPlatformState()
                         throws java.rmi.RemoteException

  Gets the Metadata State of `Platform`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getPlatformMaxLength

    int getPlatformMaxLength()
                             throws java.rmi.RemoteException

  Gets the maximum length of `Platform`

  Returns:
    The max size
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getProductIdentifier

    java.lang.String getProductIdentifier()
                                          throws java.rmi.RemoteException

  Gets the `String` value of `ProductIdentifier`

  Returns:
    The `ProductIdentifier`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getProductIdentifierState

    int getProductIdentifierState()
                                  throws java.rmi.RemoteException

  Gets the Metadata State of `ProductIdentifier`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getProductIdentifierMaxLength

    int getProductIdentifierMaxLength()
                                      throws java.rmi.RemoteException

  Gets the maximum length of `ProductIdentifier`

  Returns:
    The max size
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getConfigureVersion

    java.lang.String getConfigureVersion()
                                         throws java.rmi.RemoteException

  Gets the `String` value of `ConfigureVersion`

  Returns:
    The `ConfigureVersion`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getConfigureVersionState

    int getConfigureVersionState()
                                 throws java.rmi.RemoteException

  Gets the Metadata State of `ConfigureVersion`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getConfigureVersionMaxLength

    int getConfigureVersionMaxLength()
                                     throws java.rmi.RemoteException

  Gets the maximum length of `ConfigureVersion`

  Returns:
    The max size
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getCustomizedProperties

    AssociationList getCustomizedProperties()
                                            throws java.rmi.RemoteException,
                                                   MdException

  Gets the AssociationList of `CustomizedProperties`

  Returns:
    Returns the AssociationList of `CustomizedProperties` which can be of type:
    AbstractProperty
    Property
    PrototypeProperty
    AttributeProperty
    AssociationProperty
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getCustomizedTransformations

    AssociationList getCustomizedTransformations()
                                                 throws java.rmi.RemoteException,
                                                        MdException

  Gets the AssociationList of `CustomizedTransformations`

  Returns:
    Returns the AssociationList of `CustomizedTransformations` which can be of type:
    AbstractTransformation
    TransformationStep
    SyncStep
    TransformationActivity
    FeatureMap
    ColumnHierarchy
    Transformation
    ClassifierMap
    Select
    Join
    AbstractJob
    Job
    JFJob
    MiningResult
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getCustomizedTypes

    AssociationList getCustomizedTypes()
                                       throws java.rmi.RemoteException,
                                              MdException

  Gets the AssociationList of `CustomizedTypes`

  Returns:
    Returns the AssociationList of `CustomizedTypes` which can be of type:
    PropertyType
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getDependentComponents

    AssociationList getDependentComponents()
                                           throws java.rmi.RemoteException,
                                                  MdException

  Gets the AssociationList of `DependentComponents`

  Returns:
    Returns the AssociationList of `DependentComponents` which can be of type:
    SoftwareComponent
    DeployedComponent
    ConfiguredComponent
    ServiceComponent
    ServerComponent
    LogicalServer
    ServerContext
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getEditedProperties

    AssociationList getEditedProperties()
                                        throws java.rmi.RemoteException,
                                               MdException

  Gets the AssociationList of `EditedProperties`

  Returns:
    Returns the AssociationList of `EditedProperties` which can be of type:
    AbstractProperty
    Property
    PrototypeProperty
    AttributeProperty
    AssociationProperty
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getEditedTypes

    AssociationList getEditedTypes()
                                   throws java.rmi.RemoteException,
                                          MdException

  Gets the AssociationList of `EditedTypes`

  Returns:
    Returns the AssociationList of `EditedTypes` which can be of type:
    PropertyType
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getImplementedObjects

    AssociationList getImplementedObjects()
                                          throws java.rmi.RemoteException,
                                                 MdException

  Gets the AssociationList of `ImplementedObjects`

  Returns:
    Returns the AssociationList of `ImplementedObjects` which can be of type:
    All types
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getSoftwareGroups

    AssociationList getSoftwareGroups()
                                      throws java.rmi.RemoteException,
                                             MdException

  Gets the AssociationList of `SoftwareGroups`

  Returns:
    Returns the AssociationList of `SoftwareGroups` which can be of type:
    Group
    SXLEMap
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getSoftwareTrees

    AssociationList getSoftwareTrees()
                                     throws java.rmi.RemoteException,
                                            MdException

  Gets the AssociationList of `SoftwareTrees`

  Returns:
    Returns the AssociationList of `SoftwareTrees` which can be of type:
    Tree
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getValidatedProperties

    AssociationList getValidatedProperties()
                                           throws java.rmi.RemoteException,
                                                  MdException

  Gets the AssociationList of `ValidatedProperties`

  Returns:
    Returns the AssociationList of `ValidatedProperties` which can be of type:
    AbstractProperty
    Property
    PrototypeProperty
    AttributeProperty
    AssociationProperty
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getValidatedTypes

    AssociationList getValidatedTypes()
                                      throws java.rmi.RemoteException,
                                             MdException

  Gets the AssociationList of `ValidatedTypes`

  Returns:
    Returns the AssociationList of `ValidatedTypes` which can be of type:
    PropertyType
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getDependsOnComponents

    AssociationList getDependsOnComponents()
                                           throws java.rmi.RemoteException,
                                                  MdException

  Gets the Association list of `DependsOnComponents`

  Returns:
    The AssociationList of `DependsOnComponents` which can be of type:
    SoftwareComponent
    DeployedComponent
    ConfiguredComponent
    ServiceComponent
    ServerComponent
    LogicalServer
    ServerContext
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getDeployedComponents

    AssociationList getDeployedComponents()
                                          throws java.rmi.RemoteException,
                                                 MdException

  Gets the Association list of `DeployedComponents`

  Returns:
    The AssociationList of `DeployedComponents` which can be of type:
    DeployedComponent
    ConfiguredComponent
    ServiceComponent
    ServerComponent
    LogicalServer
    ServerContext
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getPropertyGroups

    AssociationList getPropertyGroups()
                                      throws java.rmi.RemoteException,
                                             MdException

  Gets the Association list of `PropertyGroups`

  Returns:
    The AssociationList of `PropertyGroups` which can be of type:
    PropertyGroup
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getCustomizedProperties

    AssociationList getCustomizedProperties(boolean fGoToServer)
                                            throws java.rmi.RemoteException,
                                                   MdException

  Gets the Associationlist of `CustomizedProperties`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the AssociationList of `CustomizedProperties` which can be of type:
    AbstractProperty
    Property
    PrototypeProperty
    AttributeProperty
    AssociationProperty
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getCustomizedTransformations

    AssociationList getCustomizedTransformations(boolean fGoToServer)
                                                 throws java.rmi.RemoteException,
                                                        MdException

  Gets the Associationlist of `CustomizedTransformations`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the AssociationList of `CustomizedTransformations` which can be of type:
    AbstractTransformation
    TransformationStep
    SyncStep
    TransformationActivity
    FeatureMap
    ColumnHierarchy
    Transformation
    ClassifierMap
    Select
    Join
    AbstractJob
    Job
    JFJob
    MiningResult
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getCustomizedTypes

    AssociationList getCustomizedTypes(boolean fGoToServer)
                                       throws java.rmi.RemoteException,
                                              MdException

  Gets the Associationlist of `CustomizedTypes`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the AssociationList of `CustomizedTypes` which can be of type:
    PropertyType
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getDependentComponents

    AssociationList getDependentComponents(boolean fGoToServer)
                                           throws java.rmi.RemoteException,
                                                  MdException

  Gets the Associationlist of `DependentComponents`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the AssociationList of `DependentComponents` which can be of type:
    SoftwareComponent
    DeployedComponent
    ConfiguredComponent
    ServiceComponent
    ServerComponent
    LogicalServer
    ServerContext
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getEditedProperties

    AssociationList getEditedProperties(boolean fGoToServer)
                                        throws java.rmi.RemoteException,
                                               MdException

  Gets the Associationlist of `EditedProperties`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the AssociationList of `EditedProperties` which can be of type:
    AbstractProperty
    Property
    PrototypeProperty
    AttributeProperty
    AssociationProperty
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getEditedTypes

    AssociationList getEditedTypes(boolean fGoToServer)
                                   throws java.rmi.RemoteException,
                                          MdException

  Gets the Associationlist of `EditedTypes`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the AssociationList of `EditedTypes` which can be of type:
    PropertyType
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getImplementedObjects

    AssociationList getImplementedObjects(boolean fGoToServer)
                                          throws java.rmi.RemoteException,
                                                 MdException

  Gets the Associationlist of `ImplementedObjects`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the AssociationList of `ImplementedObjects` which can be of type:
    All types
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getSoftwareGroups

    AssociationList getSoftwareGroups(boolean fGoToServer)
                                      throws java.rmi.RemoteException,
                                             MdException

  Gets the Associationlist of `SoftwareGroups`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the AssociationList of `SoftwareGroups` which can be of type:
    Group
    SXLEMap
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getSoftwareTrees

    AssociationList getSoftwareTrees(boolean fGoToServer)
                                     throws java.rmi.RemoteException,
                                            MdException

  Gets the Associationlist of `SoftwareTrees`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the AssociationList of `SoftwareTrees` which can be of type:
    Tree
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getValidatedProperties

    AssociationList getValidatedProperties(boolean fGoToServer)
                                           throws java.rmi.RemoteException,
                                                  MdException

  Gets the Associationlist of `ValidatedProperties`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the AssociationList of `ValidatedProperties` which can be of type:
    AbstractProperty
    Property
    PrototypeProperty
    AttributeProperty
    AssociationProperty
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getValidatedTypes

    AssociationList getValidatedTypes(boolean fGoToServer)
                                      throws java.rmi.RemoteException,
                                             MdException

  Gets the Associationlist of `ValidatedTypes`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the AssociationList of `ValidatedTypes` which can be of type:
    PropertyType
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getDependsOnComponents

    AssociationList getDependsOnComponents(boolean fGoToServer)
                                           throws java.rmi.RemoteException,
                                                  MdException

  Gets the Associationlist of `DependsOnComponents`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the `DependsOnComponents` which can be of type:
    SoftwareComponent
    DeployedComponent
    ConfiguredComponent
    ServiceComponent
    ServerComponent
    LogicalServer
    ServerContext
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getDeployedComponents

    AssociationList getDeployedComponents(boolean fGoToServer)
                                          throws java.rmi.RemoteException,
                                                 MdException

  Gets the Associationlist of `DeployedComponents`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the `DeployedComponents` which can be of type:
    DeployedComponent
    ConfiguredComponent
    ServiceComponent
    ServerComponent
    LogicalServer
    ServerContext
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getPropertyGroups

    AssociationList getPropertyGroups(boolean fGoToServer)
                                      throws java.rmi.RemoteException,
                                             MdException

  Gets the Associationlist of `PropertyGroups`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the `PropertyGroups` which can be of type:
    PropertyGroup
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### setSoftwareVersion

    void setSoftwareVersion(java.lang.String inSoftwareVersion)
                            throws java.rmi.RemoteException

  Sets the `SoftwareVersion` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inSoftwareVersion` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setSoftwareVersion

    void setSoftwareVersion(java.lang.String inSoftwareVersion,
                            int state)
                            throws java.rmi.RemoteException

  Sets the `SoftwareVersion` Metadata State.

  Parameters:
    `inSoftwareVersion` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setSoftwareVersionState

    void setSoftwareVersionState(int state)
                                 throws java.rmi.RemoteException

  Sets the Metadata State of `SoftwareVersion`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setMajor

    void setMajor(int inMajor)
                  throws java.rmi.RemoteException

  Sets the `Major` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inMajor` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setMajor

    void setMajor(int inMajor,
                  int state)
                  throws java.rmi.RemoteException

  Sets the `Major` Metadata State.

  Parameters:
    `inMajor` - int
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setMajor

    void setMajor(java.lang.String inMajor)
                  throws java.rmi.RemoteException

  Sets the `Major` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inMajor` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setMajor

    void setMajor(java.lang.String inMajor,
                  int state)
                  throws java.rmi.RemoteException

  Sets the `Major` value and Metadata State.

  Parameters:
    `inMajor` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setMajorState

    void setMajorState(int state)
                       throws java.rmi.RemoteException

  Sets the Metadata State of `Major`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setMinor

    void setMinor(int inMinor)
                  throws java.rmi.RemoteException

  Sets the `Minor` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inMinor` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setMinor

    void setMinor(int inMinor,
                  int state)
                  throws java.rmi.RemoteException

  Sets the `Minor` Metadata State.

  Parameters:
    `inMinor` - int
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setMinor

    void setMinor(java.lang.String inMinor)
                  throws java.rmi.RemoteException

  Sets the `Minor` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inMinor` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setMinor

    void setMinor(java.lang.String inMinor,
                  int state)
                  throws java.rmi.RemoteException

  Sets the `Minor` value and Metadata State.

  Parameters:
    `inMinor` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setMinorState

    void setMinorState(int state)
                       throws java.rmi.RemoteException

  Sets the Metadata State of `Minor`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setVendor

    void setVendor(java.lang.String inVendor)
                   throws java.rmi.RemoteException

  Sets the `Vendor` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inVendor` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setVendor

    void setVendor(java.lang.String inVendor,
                   int state)
                   throws java.rmi.RemoteException

  Sets the `Vendor` Metadata State.

  Parameters:
    `inVendor` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setVendorState

    void setVendorState(int state)
                        throws java.rmi.RemoteException

  Sets the Metadata State of `Vendor`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setSpecVersion

    void setSpecVersion(java.lang.String inSpecVersion)
                        throws java.rmi.RemoteException

  Sets the `SpecVersion` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inSpecVersion` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setSpecVersion

    void setSpecVersion(java.lang.String inSpecVersion,
                        int state)
                        throws java.rmi.RemoteException

  Sets the `SpecVersion` Metadata State.

  Parameters:
    `inSpecVersion` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setSpecVersionState

    void setSpecVersionState(int state)
                             throws java.rmi.RemoteException

  Sets the Metadata State of `SpecVersion`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setSpecVendor

    void setSpecVendor(java.lang.String inSpecVendor)
                       throws java.rmi.RemoteException

  Sets the `SpecVendor` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inSpecVendor` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setSpecVendor

    void setSpecVendor(java.lang.String inSpecVendor,
                       int state)
                       throws java.rmi.RemoteException

  Sets the `SpecVendor` Metadata State.

  Parameters:
    `inSpecVendor` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setSpecVendorState

    void setSpecVendorState(int state)
                            throws java.rmi.RemoteException

  Sets the Metadata State of `SpecVendor`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setVendorIdentifier

    void setVendorIdentifier(java.lang.String inVendorIdentifier)
                             throws java.rmi.RemoteException

  Sets the `VendorIdentifier` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inVendorIdentifier` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setVendorIdentifier

    void setVendorIdentifier(java.lang.String inVendorIdentifier,
                             int state)
                             throws java.rmi.RemoteException

  Sets the `VendorIdentifier` Metadata State.

  Parameters:
    `inVendorIdentifier` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setVendorIdentifierState

    void setVendorIdentifierState(int state)
                                  throws java.rmi.RemoteException

  Sets the Metadata State of `VendorIdentifier`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setClassIdentifier

    void setClassIdentifier(java.lang.String inClassIdentifier)
                            throws java.rmi.RemoteException

  Sets the `ClassIdentifier` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inClassIdentifier` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setClassIdentifier

    void setClassIdentifier(java.lang.String inClassIdentifier,
                            int state)
                            throws java.rmi.RemoteException

  Sets the `ClassIdentifier` Metadata State.

  Parameters:
    `inClassIdentifier` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setClassIdentifierState

    void setClassIdentifierState(int state)
                                 throws java.rmi.RemoteException

  Sets the Metadata State of `ClassIdentifier`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setProductName

    void setProductName(java.lang.String inProductName)
                        throws java.rmi.RemoteException

  Sets the `ProductName` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inProductName` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setProductName

    void setProductName(java.lang.String inProductName,
                        int state)
                        throws java.rmi.RemoteException

  Sets the `ProductName` Metadata State.

  Parameters:
    `inProductName` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setProductNameState

    void setProductNameState(int state)
                             throws java.rmi.RemoteException

  Sets the Metadata State of `ProductName`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setPlatform

    void setPlatform(java.lang.String inPlatform)
                     throws java.rmi.RemoteException

  Sets the `Platform` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inPlatform` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setPlatform

    void setPlatform(java.lang.String inPlatform,
                     int state)
                     throws java.rmi.RemoteException

  Sets the `Platform` Metadata State.

  Parameters:
    `inPlatform` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setPlatformState

    void setPlatformState(int state)
                          throws java.rmi.RemoteException

  Sets the Metadata State of `Platform`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setProductIdentifier

    void setProductIdentifier(java.lang.String inProductIdentifier)
                              throws java.rmi.RemoteException

  Sets the `ProductIdentifier` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inProductIdentifier` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setProductIdentifier

    void setProductIdentifier(java.lang.String inProductIdentifier,
                              int state)
                              throws java.rmi.RemoteException

  Sets the `ProductIdentifier` Metadata State.

  Parameters:
    `inProductIdentifier` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setProductIdentifierState

    void setProductIdentifierState(int state)
                                   throws java.rmi.RemoteException

  Sets the Metadata State of `ProductIdentifier`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setConfigureVersion

    void setConfigureVersion(java.lang.String inConfigureVersion)
                             throws java.rmi.RemoteException

  Sets the `ConfigureVersion` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inConfigureVersion` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setConfigureVersion

    void setConfigureVersion(java.lang.String inConfigureVersion,
                             int state)
                             throws java.rmi.RemoteException

  Sets the `ConfigureVersion` Metadata State.

  Parameters:
    `inConfigureVersion` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setConfigureVersionState

    void setConfigureVersionState(int state)
                                  throws java.rmi.RemoteException

  Sets the Metadata State of `ConfigureVersion`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setCustomizedProperties

    void setCustomizedProperties(AssociationList list)
                                 throws java.rmi.RemoteException

  Sets the `CustomizedProperties` list to be `list`. Objects of which can be of type:
  AbstractProperty
  Property
  PrototypeProperty
  AttributeProperty
  AssociationProperty

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setCustomizedProperties

    void setCustomizedProperties(AssociationList inObjects,
                                 int state)
                                 throws java.rmi.RemoteException

  Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setCustomizedTransformations

    void setCustomizedTransformations(AssociationList list)
                                      throws java.rmi.RemoteException

  Sets the `CustomizedTransformations` list to be `list`. Objects of which can be of type:
  AbstractTransformation
  TransformationStep
  SyncStep
  TransformationActivity
  FeatureMap
  ColumnHierarchy
  Transformation
  ClassifierMap
  Select
  Join
  AbstractJob
  Job
  JFJob
  MiningResult

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setCustomizedTransformations

    void setCustomizedTransformations(AssociationList inObjects,
                                      int state)
                                      throws java.rmi.RemoteException

  Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setCustomizedTypes

    void setCustomizedTypes(AssociationList list)
                            throws java.rmi.RemoteException

  Sets the `CustomizedTypes` list to be `list`. Objects of which can be of type:
  PropertyType

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setCustomizedTypes

    void setCustomizedTypes(AssociationList inObjects,
                            int state)
                            throws java.rmi.RemoteException

  Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setDependentComponents

    void setDependentComponents(AssociationList list)
                                throws java.rmi.RemoteException

  Sets the `DependentComponents` list to be `list`. Objects of which can be of type:
  SoftwareComponent
  DeployedComponent
  ConfiguredComponent
  ServiceComponent
  ServerComponent
  LogicalServer
  ServerContext

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setDependentComponents

    void setDependentComponents(AssociationList inObjects,
                                int state)
                                throws java.rmi.RemoteException

  Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setEditedProperties

    void setEditedProperties(AssociationList list)
                             throws java.rmi.RemoteException

  Sets the `EditedProperties` list to be `list`. Objects of which can be of type:
  AbstractProperty
  Property
  PrototypeProperty
  AttributeProperty
  AssociationProperty

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setEditedProperties

    void setEditedProperties(AssociationList inObjects,
                             int state)
                             throws java.rmi.RemoteException

  Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setEditedTypes

    void setEditedTypes(AssociationList list)
                        throws java.rmi.RemoteException

  Sets the `EditedTypes` list to be `list`. Objects of which can be of type:
  PropertyType

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setEditedTypes

    void setEditedTypes(AssociationList inObjects,
                        int state)
                        throws java.rmi.RemoteException

  Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setImplementedObjects

    void setImplementedObjects(AssociationList list)
                               throws java.rmi.RemoteException

  Sets the `ImplementedObjects` list to be `list`. Objects of which can be of type:
  All types

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setImplementedObjects

    void setImplementedObjects(AssociationList inObjects,
                               int state)
                               throws java.rmi.RemoteException

  Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setSoftwareGroups

    void setSoftwareGroups(AssociationList list)
                           throws java.rmi.RemoteException

  Sets the `SoftwareGroups` list to be `list`. Objects of which can be of type:
  Group
  SXLEMap

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setSoftwareGroups

    void setSoftwareGroups(AssociationList inObjects,
                           int state)
                           throws java.rmi.RemoteException

  Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setSoftwareTrees

    void setSoftwareTrees(AssociationList list)
                          throws java.rmi.RemoteException

  Sets the `SoftwareTrees` list to be `list`. Objects of which can be of type:
  Tree

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setSoftwareTrees

    void setSoftwareTrees(AssociationList inObjects,
                          int state)
                          throws java.rmi.RemoteException

  Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setValidatedProperties

    void setValidatedProperties(AssociationList list)
                                throws java.rmi.RemoteException

  Sets the `ValidatedProperties` list to be `list`. Objects of which can be of type:
  AbstractProperty
  Property
  PrototypeProperty
  AttributeProperty
  AssociationProperty

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setValidatedProperties

    void setValidatedProperties(AssociationList inObjects,
                                int state)
                                throws java.rmi.RemoteException

  Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setValidatedTypes

    void setValidatedTypes(AssociationList list)
                           throws java.rmi.RemoteException

  Sets the `ValidatedTypes` list to be `list`. Objects of which can be of type:
  PropertyType

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setValidatedTypes

    void setValidatedTypes(AssociationList inObjects,
                           int state)
                           throws java.rmi.RemoteException

  Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setDependsOnComponents

    void setDependsOnComponents(AssociationList list)
                                throws java.rmi.RemoteException

  Sets the `DependsOnComponents` list to be `list`. Objects of which can be of type:
  SoftwareComponent
  DeployedComponent
  ConfiguredComponent
  ServiceComponent
  ServerComponent
  LogicalServer
  ServerContext

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setDependsOnComponents

    void setDependsOnComponents(AssociationList inObjects,
                                int state)
                                throws java.rmi.RemoteException

  Sets the entire DependsOnComponents list to match the passed in AssociationList, sets the state of the DependsOnComponents

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setDeployedComponents

    void setDeployedComponents(AssociationList list)
                               throws java.rmi.RemoteException

  Sets the `DeployedComponents` list to be `list`. Objects of which can be of type:
  DeployedComponent
  ConfiguredComponent
  ServiceComponent
  ServerComponent
  LogicalServer
  ServerContext

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setDeployedComponents

    void setDeployedComponents(AssociationList inObjects,
                               int state)
                               throws java.rmi.RemoteException

  Sets the entire DeployedComponents list to match the passed in AssociationList, sets the state of the DeployedComponents

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setPropertyGroups

    void setPropertyGroups(AssociationList list)
                           throws java.rmi.RemoteException

  Sets the `PropertyGroups` list to be `list`. Objects of which can be of type:
  PropertyGroup

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setPropertyGroups

    void setPropertyGroups(AssociationList inObjects,
                           int state)
                           throws java.rmi.RemoteException

  Sets the entire PropertyGroups list to match the passed in AssociationList, sets the state of the PropertyGroups

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Metadata |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.